component-section
  div(slot='title') OW-4 Architecture design cycle
  component-intendedlearningoutcomes
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong
        abbr(title='quality attribute requirement') qar
      |
      | uit.
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong
        abbr(title='quality attribute scenario') qas
      |
      | uit.
    component-criterion(codes='["SK-begrip-concepten"]')
      | legt een algemene
      |
      strong architecture design cycle
      | , het
      |
      strong Hofmeister-model
      | , uit.
    component-criterion(codes='["SK-begrip-concepten"]')
      | legt
      |
      strong architectural analysis
      |
      | uit.
    component-criterion(codes='["SK-begrip-concepten"]')
      | legt
      |
      strong architectural synthesis
      |
      | uit.
    component-criterion(codes='["SK-begrip-concepten"]')
      | legt
      |
      strong architectural assets
      |
      | uit.
    component-criterion(codes='["SA-begrip-evalueren"]')
      | legt
      strong architectural evaluation
      |
      | uit.
  component-section
    div(slot='title') Bestuderen
    p.bron
      abbr(
        title='Hofmeister, C., Kruchten, P., Nord, R. L., Obbink, H., Ran, A., & America, P. (2007). A general model of software architecture design derived from five industrial approaches. Journal of Systems and Software, 80(1), 106-126.')
        a(href='bron/material/Hofmeister_al_GeneralModelOfArchitecture.pdf') A general model of software architecture design - pp. 106-126
    p.bron
      cite(data-id='6867189/KRJVJXEU', data-label='chapter', data-locator='16-17')
        | Software Architecture in Practice
    p
      strong Lesweek 5:
    p.bron
      abbr(
        title='van Heesch, U., Avgeriou, P., & Hilliard, R. (2012). Forces on Architecture Decisions-A Viewpoint. In Proceedings of the 2012 Joint Working IEEE/IFIP Conference on Software Architecture and European Conference on Software Architecture (pp. 101-110). IEEE Computer Society.')
        a(href='bron/material/vanHeesch_al_ForcesOnArchDecisions-WICSA12b.pdf') Forces on Architecture Decisions - pp. 101-110
  component-section
    div(slot='title') Oefening 1
    component-exercise
      p
        strong Architectual Analysis:
      ol
        li Werk in een groep van 3 a 5 studenten.
        li
          | Lees HandsOn:
          |
          a(href='#sec_3.3') Software Trendanalyse Dashboard
        li
          | Vul eventueel de stakeholders aan en beschrijf de
          |
          strong concerns
          |
          | van deze stakeholders.
        //- TODO: link?
        li
          | Indentificeer de QA's uit het Programma van Vereisten (...link....).
          | Laat de functional requirements achterwege.
        li Verbeter, indien nodig, de sketch van het systeem.
        li Koppel de QA's aan de sketch van het systeem.
        li Zijn er nog andere "forces" (NFR) waarmee rekening moet worden gehouden.
        li Maak een korte (5 minuten) Presentatie van bovenstaande.
  component-section
    div(slot='title') Oefening 2
    component-exercise
      p
        strong Architectual Synthesis:
      ol
        li Werk in een groep van 3 á 5 studenten.
        li
          | Lees (indien nodig) HandsOn:
          |
          a(href='#sec_3.3') Software Trendanalyse Dashboard
        li Verbeter, indien nodig, de visie en ASR's van het systeem.
        li
          | Selecteer de key architectural drivers en maak een eerste lijst met candidate solutions, inclusief COTS die betrekking hebben op deze drivers.
        li Maak een Decision Forces View met de relevante ASR's.
        li Maak een korte (5 minuten) Presentatie van bovenstaande.
  component-section
    div(slot='title') 👨‍🏫 Presentatie
    ul.liststyletypenone
      li.bron
        a(href='bron/slides/SKA_OW4.pdf') Lesweek 4
      li.bron
        a(href='bron/slides/SKA_OW5_A.pdf') Lesweek 5A
